Subject: bug#36250: [PATCH] Improve a bit frame-resize-pixelwise documentation

From: Konstantin Kharlamov <[email-masked]>
Date: Fri, 28 Jun 2019 17:34:50 +0300

В Пт, июн 28, 2019 at 17:22, Eli Zaretskii <[email-masked]> 
написал:
>>  Date: Fri, 28 Jun 2019 16:59:45 +0300
>>  From: Konstantin Kharlamov <[email-masked]>
>>  Cc: [email-masked]
>> 
>>  > I think you read "resize a frame" and "set the size of a frame" as
>>  > referring to the same operation.  But they aren't: the former is 
>> about
>>  > changing the size of an existing frame with a mouse or with
>>  > set-frame-size, whereas the latter is about doing other things 
>> that
>>  > implicitly require the frame's size to have pixel resolution.
>>  >
>>  > So no, this is not repetition, and should not be removed.
>> 
>>  Right, but the 1st paragraph also says "If this is non-nil, […] 
>> frame
>>  sizes can increase/decrease by one pixel".
> 
> Yes, but it doesn't say you can _set_ the size at pixel granularity to
> begin with.
> 
>>  I.e. this says that setting the variable to non-nil makes further
>>  operations on frames to have one-pixel resolution
> 
> That's your interpretation, but the text doesn't say that, it says
> something slightly different.  Thus the second paragraph is not
> repetition.

Ah, I think I see, you probably read the
	"to non-nil         in order to set the size of a frame in pixels"
as
	"to a numeric value in order to set the size of a frame in pixels".

I had such interpretation too in mind. However note that 
frame_resize_pixelwise in C code is mostly used as a boolean. The only 
place where it's used as a numeric variable are 2 lines in src/widget.c:

	276:  ew->core.width = (frame_resize_pixelwise
	279:  ew->core.height = (frame_resize_pixelwise

In particular, if you look at the patch that started the topic, you'll 
find out that its value is not currently used to set width/height of a 
frame: instead it's either 1 or line-height/column-width.